Skip to content

Clients

An Okta Privileged Access client corresponds to a specific device. Clients are the primary way users access Okta Privileged Access resources.

List all clients

Request

OPA roles:
  • resource_admin
  • security_admin
  • end_user

Returns a list of clients for your team. By default, this only returns clients associated with the requesting user. Use query parameters to adjust the list of returned clients.

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
allboolean

When true, returns all clients for the team

countinteger, (int32)

The number of objects per page

descendingboolean

If true, results are listed in descending order. By default, results are listed in ascending order.

offsetstring

The offset value for pagination. The rel="next" and rel="prev" Link headers define the offset for subsequent or previous pages.

prevboolean

The direction of paging

statestring

Only return clients with the specified state. Valid statuses: ACTIVE, PENDING, or DELETED.

usernamestring

Only return clients assigned to the specified user. An empty string returns unassigned clients.

curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/clients?all=true&count=0&descending=true&offset=string&prev=true&state=string&username=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Headers
Bodyapplication/json
listArray of objects(Client)
Response
{ "list": [ { … }, { … } ] }